Index: trunk/dports/devel/xmlrpc-c/Portfile
===================================================================
--- trunk/dports/devel/xmlrpc-c/Portfile	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/Portfile	(revision 4230)
@@ -0,0 +1,24 @@
+# $Id: Portfile,v 1.1 2003/12/16 08:06:13 fkr Exp $
+
+PortSystem 1.0
+name		xmlrpc-c
+version		0.9.10
+categories	devel www
+maintainers	pguyot@kallisys.net
+description	Lightweight RPC library based on XML and HTTP
+long_description	XML-RPC is a quick-and-easy way to make procedure calls \
+			over the Internet. It converts the procedure call into \
+			XML document, sends it to a remote server using HTTP, and \
+			gets back the response as XML. \
+			This library provides a modular implementation of XML-RPC \
+			for C and C++.
+homepage	http://xmlrpc-c.sourceforge.net/
+platforms	darwin
+master_sites	sourceforge
+checksums	md5 847410fae881f0fb641a186db6c8c015
+patchfiles	patch-config.sub patch-config.guess \
+		patch-lib-abyss-src-data.c \
+		patch-src-XmlRpcCpp.h \
+		patch-examples-meerkat-app-list.cc \
+		patch-tools-xml-rpc-api2cpp-DataType.cc
+depends_lib	bin:libwww-config:libwww
Index: trunk/dports/devel/xmlrpc-c/files/patch-config.guess
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-config.guess	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-config.guess	(revision 4230)
@@ -0,0 +1,12 @@
+--- config.guess	Fri Dec 12 09:21:39 2003
++++ config.guess	Fri Dec 12 09:22:33 2003
+@@ -68,6 +68,9 @@
+ # Note: order is significant - the case branches are not exclusive.
+ 
+ case "${UNAME_MACHINE}:${UNAME_SYSTEM}:${UNAME_RELEASE}:${UNAME_VERSION}" in
++    *:Darwin:*:*)
++    echo `uname -p`-apple-darwin${UNAME_RELEASE}
++    exit 0 ;;
+     alpha:OSF1:*:*)
+ 	if test $UNAME_RELEASE = "V4.0"; then
+ 		UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $3}'`
Index: trunk/dports/devel/xmlrpc-c/files/patch-config.sub
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-config.sub	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-config.sub	(revision 4230)
@@ -0,0 +1,11 @@
+--- config.sub	Fri Dec 12 09:17:58 2003
++++ config.sub	Fri Dec 12 09:18:49 2003
+@@ -912,7 +912,7 @@
+ 	      | -aos* \
+ 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
+ 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
+-	      | -hiux* | -386bsd* | -netbsd* | -openbsd* | -freebsd* | -riscix* \
++	      | -hiux* | -386bsd* | -netbsd* | -openbsd* | -freebsd* | -darwin* | -riscix* \
+ 	      | -lynxos* | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
+ 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
+ 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
Index: trunk/dports/devel/xmlrpc-c/files/patch-examples-meerkat-app-list.cc
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-examples-meerkat-app-list.cc	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-examples-meerkat-app-list.cc	(revision 4230)
@@ -0,0 +1,27 @@
+--- examples/meerkat-app-list.cc.old	Fri Dec 12 10:07:04 2003
++++ examples/meerkat-app-list.cc	Fri Dec 12 10:09:17 2003
+@@ -3,7 +3,9 @@
+ // http://www.oreillynet.com/pub/a/rss/2000/11/14/meerkat_xmlrpc.html */
+ 
+ #include <iostream.h>
+-#include <strstream.h>
++#include <sstream>
++
++using namespace std;
+ 
+ #include <XmlRpcCpp.h>
+ 
+@@ -17,12 +15,9 @@
+ static void list_apps (int hours) {
+ 
+     // Build our time_period parameter.
+-    ostrstream time_period_stream;
++    std::ostringstream time_period_stream;
+     time_period_stream << hours << "HOUR" << ends;
+     string time_period = time_period_stream.str();
+-
+-    // (Ask the ostrstream to reclaim ownership of its buffer.)
+-    time_period_stream.freeze(false);
+ 
+     // Assemble our meerkat query recipe.
+     XmlRpcValue recipe = XmlRpcValue::makeStruct();
Index: trunk/dports/devel/xmlrpc-c/files/patch-lib-abyss-src-data.c
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-lib-abyss-src-data.c	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-lib-abyss-src-data.c	(revision 4230)
@@ -0,0 +1,11 @@
+--- lib/abyss/src/data.c	Fri Dec 12 09:33:36 2003
++++ lib/abyss/src/data.c	Fri Dec 12 09:33:47 2003
+@@ -32,7 +32,7 @@
+ **
+ *******************************************************************************/
+ 
+-#include <malloc.h>
++#include <stdlib.h>
+ #include <string.h>
+ #include "abyss.h"
+ 
Index: trunk/dports/devel/xmlrpc-c/files/patch-src-XmlRpcCpp.h
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-src-XmlRpcCpp.h	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-src-XmlRpcCpp.h	(revision 4230)
@@ -0,0 +1,11 @@
+--- src/XmlRpcCpp.h	Fri Dec 12 09:38:28 2003
++++ src/XmlRpcCpp.h	Fri Dec 12 09:38:34 2003
+@@ -46,7 +46,7 @@
+ // Tell me what your compiler does; I can provide some autoconf magic to the
+ // Right Thing on most platforms.
+ #include <string>
+-// using namespace std;
++using namespace std;
+ 
+ #include <xmlrpc.h>
+ #include <xmlrpc_client.h>
Index: trunk/dports/devel/xmlrpc-c/files/patch-tools-xml-rpc-api2cpp-DataType.cc
===================================================================
--- trunk/dports/devel/xmlrpc-c/files/patch-tools-xml-rpc-api2cpp-DataType.cc	(revision 4230)
+++ trunk/dports/devel/xmlrpc-c/files/patch-tools-xml-rpc-api2cpp-DataType.cc	(revision 4230)
@@ -0,0 +1,22 @@
+--- tools/xml-rpc-api2cpp/DataType.cc	Fri Dec 12 10:10:26 2003
++++ tools/xml-rpc-api2cpp/DataType.cc	Fri Dec 12 10:10:52 2003
+@@ -1,5 +1,5 @@
+ #include <iostream.h>
+-#include <strstream.h>
++#include <sstream>
+ #include <stdexcept>
+ 
+ #include <XmlRpcCpp.h>
+@@ -13,11 +13,9 @@
+ //  a specific XML-RPC data type.
+ 
+ string DataType::defaultParameterBaseName (int position) const {
+-    ostrstream name_stream;
++    std::ostringstream name_stream;
+     name_stream << typeName() << position << ends;
+     string name(name_stream.str());
+-    // (Ask the ostrstream to reclaim ownership of its buffer.)
+-    name_stream.freeze(false);
+     return name;
+ }
+ 