Index: trunk/dports/lang/maxima-lisp/Portfile
===================================================================
--- trunk/dports/lang/maxima-lisp/Portfile	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/Portfile	(revision 4316)
@@ -0,0 +1,96 @@
+# $Id: Portfile,v 1.1 2003/12/27 19:22:03 gwright Exp $
+
+PortSystem 1.0
+name		maxima-lisp
+version		2.29
+categories	lang
+maintainers	gwright@comcast.net
+platforms	darwin
+
+description	The Clisp Common Lisp Implementation, as used by Maxima
+long_description	\
+		CLISP is a Common Lisp implementation by Bruno Haible,	\
+		formerly of Karlsruhe University, and Michael Stoll,	\
+		formerly of Munich University, both in Germany.		\
+		It mostly supports the Lisp described in the ANSI	\
+		Common Lisp standard.					\
+									\
+		CLISP includes an interpreter, a compiler, almost all	\
+		of CLOS, a foreign language interface and a socket	\
+		interface.  An X11 interface is available through CLX	\
+		and Garnet.  Command line editing is provided by	\
+		readline.
+
+#bugs		Version 2.29 is compatible with maxima 5.9.0. Version \
+#		2.30 introduced floating point bugs that maxima trips \
+#		over. 2.31 doesn't build under OS X yet.
+
+set maxima-lisp-name	clisp
+
+distfiles	${maxima-lisp-name}-${version}${extract.sufx}
+
+homepage	http://clisp.cons.org/
+master_sites	http://cvs2.cons.org/ftp-area/clisp/source/2.29/ \
+		http://ftp.gnu.org/pub/gnu/clisp/release/ \
+		http://telia.dl.sourceforge.net/sourceforge/clisp/
+
+checksums	md5 53f7cfba5c5f3f7d536541e1df210b74
+
+pre-patch	{ cd ${workpath}
+		  file rename  ${maxima-lisp-name} ${maxima-lisp-name}-${version}
+		}
+
+patchfiles	patch-Makefile.in	\
+		patch-_clisp.c		\
+		patch-_distmakefile	\
+		patch-configure		\
+		patch-makemake.in	\
+		patch-stream.d
+
+worksrcdir	${maxima-lisp-name}-${version}
+build.dir	${workpath}/${worksrcdir}/src
+
+pre-configure	{ file rename ${build.dir}/_${maxima-lisp-name}.1 \
+			      ${build.dir}/_${name}.1
+		  file rename ${build.dir}/_${maxima-lisp-name}.html \
+			      ${build.dir}/_${name}.html
+
+		  file rename ${build.dir}/readline/doc/clreadline.3 \
+			      ${build.dir}/readline/doc/mlreadline.3
+		  file rename ${build.dir}/readline/doc/clreadline.html \
+			      ${build.dir}/readline/doc/mlreadline.html
+		  file rename ${build.dir}/readline/doc/clreadline.dvi \
+			      ${build.dir}/readline/doc/mlreadline.dvi
+
+		  file rename ${build.dir}/gettext/po/clisplow_de.gmo \
+			      ${build.dir}/gettext/po/maxima-lisplow_de.gmo
+		  file rename ${build.dir}/gettext/po/clisplow_en.gmo \
+			      ${build.dir}/gettext/po/maxima-lisplow_en.gmo
+		  file rename ${build.dir}/gettext/po/clisplow_es.gmo \
+			      ${build.dir}/gettext/po/maxima-lisplow_es.gmo
+		  file rename ${build.dir}/gettext/po/clisplow_fr.gmo \
+			      ${build.dir}/gettext/po/maxima-lisplow_fr.gmo
+		  file rename ${build.dir}/gettext/po/clisplow_nl.gmo \
+			      ${build.dir}/gettext/po/maxima-lisplow_nl.gmo
+		}
+
+post-configure	{ cd ${build.dir}
+		  system "./makemake --without-dynamic-ffi \
+			  --with-readline --with-gettext \
+			  --prefix=${prefix} > Makefile"
+
+		  system "make config.lisp"
+		}
+
+build		{ system "ulimit -s 8192 && \
+			  cd ${build.dir} && \
+			  make && \
+			  make check"
+		}
+
+pre-destroot	{ cd ${build.dir} }
+
+post-destroot	{ file rename ${destroot}/${prefix}/bin/${maxima-lisp-name} \
+			      ${destroot}/${prefix}/bin/${name}
+		}
+
Index: trunk/dports/lang/maxima-lisp/files/patch-Makefile.in
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-Makefile.in	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-Makefile.in	(revision 4316)
@@ -0,0 +1,37 @@
+--- src/gettext/po/Makefile.in.sav	Fri Dec 26 17:48:37 2003
++++ src/gettext/po/Makefile.in	Fri Dec 26 17:50:06 2003
+@@ -94,15 +94,15 @@
+ 	  if [ ! -d "$$destdir/$$lang" ] ; then mkdir "$$destdir/$$lang" ; fi; \
+ 	  if [ ! -d "$$dir" ] ; then mkdir "$$dir" ; fi; \
+ 	  if test -r $$cat; then \
+-	    echo "installing $$cat as $$dir/$(PACKAGE).mo"; \
+-	    $(INSTALL_DATA) $$cat "$$dir/$(PACKAGE).mo"; \
+-	    echo "installing clisplow_$$cat as $$dir/clisplow.mo"; \
+-	    $(INSTALL_DATA) clisplow_$$cat "$$dir/clisplow.mo"; \
++	    echo "installing $$cat as $$dir/maxima-lisp.mo"; \
++	    $(INSTALL_DATA) $$cat "$$dir/maxima-lisp.mo"; \
++	    echo "installing maxima-lisplow_$$cat as $$dir/maxima-lisplow.mo"; \
++	    $(INSTALL_DATA) maxima-lisplow_$$cat "$$dir/maxima-lisplow.mo"; \
+ 	  else \
+-	    echo "installing $(srcdir)/$$cat as $$dir/$(PACKAGE).mo"; \
+-	    $(INSTALL_DATA) $(srcdir)/$$cat "$$dir/$(PACKAGE).mo"; \
+-	    echo "installing $(srcdir)/clisplow_$$cat as $$dir/clisplow.mo"; \
+-	    $(INSTALL_DATA) $(srcdir)/clisplow_$$cat "$$dir/clisplow.mo"; \
++	    echo "installing $(srcdir)/$$cat as $$dir/maxima-lisp.mo"; \
++	    $(INSTALL_DATA) $(srcdir)/$$cat "$$dir/maxima-lisp.mo"; \
++	    echo "installing $(srcdir)/maxima-lisplow_$$cat as $$dir/maxima-lisplow.mo"; \
++	    $(INSTALL_DATA) $(srcdir)/maxima-lisplow_$$cat "$$dir/maxima-lisplow.mo"; \
+ 	  fi; \
+ 	done
+ 
+@@ -129,8 +129,8 @@
+ 	for cat in $$catalogs; do \
+ 	  cat=`basename $$cat`; \
+ 	  lang=`echo $$cat | sed 's/\.gmo$$//'`; \
+-	  rm -f "$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo"; \
+-	  rm -f "$(localedir)/$$lang/LC_MESSAGES/clisplow.mo"; \
++	  rm -f "$(localedir)/$$lang/LC_MESSAGES/maxim-lisp.mo"; \
++	  rm -f "$(localedir)/$$lang/LC_MESSAGES/maxima-lisplow.mo"; \
+ 	done
+ 
+ mostlyclean:
Index: trunk/dports/lang/maxima-lisp/files/patch-_clisp.c
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-_clisp.c	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-_clisp.c	(revision 4316)
@@ -0,0 +1,15 @@
+--- src/_clisp.c.sav	Fri Feb  7 14:42:33 2003
++++ src/_clisp.c	Fri Feb  7 14:43:03 2003
+@@ -31,12 +31,8 @@
+ # include <string.h>
+ 
+ /* Declare malloc(). */
+-#ifdef HAVE_STDLIB_H
+ # include <stdlib.h>
+-#endif
+-#ifdef HAVE_UNISTD_H
+ # include <unistd.h>
+-#endif
+ 
+ /* Declare errno. */
+ # include <errno.h>
Index: trunk/dports/lang/maxima-lisp/files/patch-_distmakefile
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-_distmakefile	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-_distmakefile	(revision 4316)
@@ -0,0 +1,24 @@
+--- src/_distmakefile.sav	Fri Dec 26 13:40:44 2003
++++ src/_distmakefile	Fri Dec 26 13:41:13 2003
+@@ -92,7 +92,7 @@
+ #endif
+ 
+ #ifdef GNU_READLINE
+-install-man : doc/clisp.1 doc/clisp.html doc/clreadline.3 doc/clreadline.html doc/clreadline.dvi force
++install-man : doc/clisp.1 doc/clisp.html doc/mlreadline.3 doc/mlreadline.html doc/mlreadline.dvi force
+ #else
+ install-man : doc/clisp.1 doc/clisp.html force
+ #endif
+@@ -108,9 +108,9 @@
+ 	test ! -f doc/clisp.dvi || $(INSTALL_DATA) doc/clisp.dvi $(dvidir)/clisp.dvi
+ #ifdef GNU_READLINE
+ 	if [ ! -d $(mandir)/man3 ] ; then mkdir $(mandir)/man3 ; fi
+-	$(INSTALL_DATA) doc/clreadline.3 $(mandir)/man3/clreadline.3
+-	$(INSTALL_DATA) doc/clreadline.html $(htmldir)/clreadline.html
+-	$(INSTALL_DATA) doc/clreadline.dvi $(dvidir)/clreadline.dvi
++	$(INSTALL_DATA) doc/mlreadline.3 $(mandir)/man3/mlreadline.3
++	$(INSTALL_DATA) doc/mlreadline.html $(htmldir)/mlreadline.html
++	$(INSTALL_DATA) doc/mlreadline.dvi $(dvidir)/mlreadline.dvi
+ #endif
+ 
+ install-doc : force
Index: trunk/dports/lang/maxima-lisp/files/patch-configure
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-configure	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-configure	(revision 4316)
@@ -0,0 +1,11 @@
+--- src/gettext/configure.sav	Fri Dec 26 17:33:11 2003
++++ src/gettext/configure	Fri Dec 26 17:33:27 2003
+@@ -1073,7 +1073,7 @@
+ 
+ test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
+ 
+-PACKAGE=clisp
++PACKAGE=maxima-lisp
+ 
+ VERSION=`cat ${srcdir}/../VERSION`
+ 
Index: trunk/dports/lang/maxima-lisp/files/patch-makemake.in
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-makemake.in	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-makemake.in	(revision 4316)
@@ -0,0 +1,272 @@
+--- src/makemake.in.sav	Fri Dec 26 17:02:51 2003
++++ src/makemake.in	Fri Dec 26 17:03:23 2003
+@@ -1548,7 +1548,7 @@
+ 
+ DOC='LISP-tutorial CLOS-guide editors'
+ 
+-TXT_FILES='README README.de README.es clisp.1 clisp.html'
++TXT_FILES='README README.de README.es maxima-lisp.1 maxima-lisp.html'
+ if [ $CROSS = false -a $HOS = unix ] ; then
+   TXT_FILES=$TXT_FILES' clisp.c distmakefile'
+ fi
+@@ -1674,23 +1674,23 @@
+ echol "prefix = ${PREFIX}"
+ echol "exec_prefix = ${EXEC_PREFIX}"
+ echol "bindir  = \$(exec_prefix)${NEXT_}bin"
+-echol "mandir  = \$(exec_prefix)${NEXT_}share${NEXT_}man"
++echol "mandir  = \$(exec_prefix)${NEXT_}${NEXT_}man"
+ echol "htmldir = \$(exec_prefix)${NEXT_}share${NEXT_}html"
+ echol "dvidir  = \$(exec_prefix)${NEXT_}share${NEXT_}dvi"
+ echol "docdir  = \$(exec_prefix)${NEXT_}share${NEXT_}doc"
+ case "$fsstnd" in
+   suse)
+-    echol "lispdocdir = \$(docdir)${NEXT_}packages${NEXT_}clisp"
++    echol "lispdocdir = \$(docdir)${NEXT_}packages${NEXT_}maxima-lisp"
+     ;;
+   redhat)
+-    echol "lispdocdir = \$(docdir)${NEXT_}clisp-`cat ../src/VERSION`"
++    echol "lispdocdir = \$(docdir)${NEXT_}maxima-lisp-`cat ../src/VERSION`"
+     ;;
+   debian | gnu_ext | netbsd)
+-    echol "lispdocdir = \$(docdir)${NEXT_}clisp"
++    echol "lispdocdir = \$(docdir)${NEXT_}maxima-lisp"
+     ;;
+ esac
+ echol "libdir = \$(exec_prefix)${NEXT_}lib"
+-echol "lisplibdir = \$(libdir)${NEXT_}clisp"
++echol "lisplibdir = \$(libdir)${NEXT_}maxima-lisp"
+ if [ -n "$USE_GETTEXT" ] ; then
+   echol "datadir = \$(prefix)/share"
+   echol "localedir = \$(datadir)/locale"
+@@ -2609,7 +2609,7 @@
+     for lang in ${ALL_LINGUAS:-"en de fr"}; do
+       echotab "mkdir locale${NEXT_}${lang}"
+       echotab "mkdir locale${NEXT_}${lang}${NEXT_}LC_MESSAGES"
+-      echotab "\$(LN_S) gettext${NEXT_}po${NEXT_}${lang}.gmo locale${NEXT_}${lang}${NEXT_}LC_MESSAGES${NEXT_}clisp.mo"
++      echotab "\$(LN_S) gettext${NEXT_}po${NEXT_}${lang}.gmo locale${NEXT_}${lang}${NEXT_}LC_MESSAGES${NEXT_}maxima-lisp.mo"
+     done
+   fi
+   echol
+@@ -3050,13 +3050,13 @@
+ OBSOLETE=$OBSOLETE" genclisph${HEXE} wgenclisph${HEXE} linkkit"
+ 
+ if test -n "$GROFF"; then
+-  manual_dvi=' clisp.dvi'
++  manual_dvi=' maxima-lisp.dvi'
+ else
+   manual_dvi=''
+ fi
+ if [ $TERMINAL = readline ] ; then
+-  manual_readline=' clreadline.3 clreadline.html clreadline.dvi readline.dvi'
+-  manualx_readline=' clreadline.man'
++  manual_readline=' mlreadline.3 mlreadline.html mlreadline.dvi readline.dvi'
++  manualx_readline=' mlreadline.man'
+ else
+   manual_readline=''
+   manualx_readline=''
+@@ -3064,7 +3064,7 @@
+ echol "READMES = ANNOUNCE COPYRIGHT GNU-GPL SUMMARY NEWS README README.de README.es"`if [ $TOS = unix ] ; then echol ' MAGIC.add' ; fi`
+ IMPNOTES_FILES="impnotes.html impnotes.css clisp.png";
+ echol "IMPNOTES = ${IMPNOTES_FILES}"
+-echol "MANUALS = clisp.1 clisp.html \$(TXTFILES) \$(IMPNOTES)${manual_readline}"
++echol "MANUALS = maxima-lisp.1 maxima-lisp.html \$(TXTFILES) \$(IMPNOTES)${manual_readline}"
+ echol
+ for f in ${IMPNOTES_FILES} ; do
+   echol "${f} : ${DOCDIR_M}${f}"
+@@ -3073,9 +3073,9 @@
+ done
+ EMACS_FILES="clisp-coding.el clisp-indent.el clisp-indent.lisp";
+ 
+-# On Unix, clisp.dvi must be built by "make all", because "make install" needs
++# On Unix, maxima-lisp.dvi must be built by "make all", because "make install" needs
+ # it and "make install" must not create files in the current directory, for
+-# compliance with the GNU standards. On other OSes, clisp.dvi must be built
++# compliance with the GNU standards. On other OSes, maxima-lisp.dvi must be built
+ # manually on another machine, so don't make it part of "make all".
+ if [ $HOS = unix ] ; then
+   echol "manual : \$(READMES) \$(MANUALS)${manual_dvi}"
+@@ -3134,7 +3134,7 @@
+     echotab_to_HEXE "\$(CC) \$(CFLAGS)${flags} \$(CLFLAGS)${XCC_NOOPTFLAGS}" "$txt.c" "$txt"
+   fi
+   line="${HERE}$txt"
+-  if [ $f = clisp.1 ] ; then
++  if [ $f = maxima-lisp.1 ] ; then
+     if [ $HOS != os2 -a $HOS != win32 -a $HOS != acorn ] ; then
+       line=$line" | \$(GREP) -v '^ *\$\$'"
+     else
+@@ -3148,7 +3148,7 @@
+       # On Win32, no grep installed. The blank lines don't hurt.
+     fi
+   fi
+-  if [ $f = clisp.html -a $HOS != win32 ] ; then
++  if [ $f = maxima-lisp.html -a $HOS != win32 ] ; then
+     line=$line" | sed -e 's,HREF=\"CLHSROOT/,HREF=\"${hyperspec}/,'"
+   fi
+   if [ $f = distmakefile ] ; then
+@@ -3170,30 +3170,30 @@
+ fi
+ 
+ if test -n "$GROFF"; then
+-  echol "clisp.dvi : clisp.1"
+-  echotab "\$(ROFF_DVI) clisp.1 > clisp.dvi"
++  echol "maxima-lisp.dvi : maxima-lisp.1"
++  echotab "\$(ROFF_DVI) maxima-lisp.1 > maxima-lisp.dvi"
+   echol
+ fi
+ 
+ if [ $TERMINAL = readline ] ; then
+-  echol "clreadline.3 : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}clreadline.3"
+-  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}clreadline.3 clreadline.3"
++  echol "mlreadline.3 : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}mlreadline.3"
++  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}mlreadline.3 mlreadline.3"
+   echol
+-  echol "clreadline.html : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}clreadline.html"
+-  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}clreadline.html clreadline.html"
++  echol "mlreadline.html : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}mlreadline.html"
++  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}mlreadline.html mlreadline.html"
+   echol
+-  echol "clreadline.dvi : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}clreadline.dvi"
+-  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}clreadline.dvi clreadline.dvi"
++  echol "mlreadline.dvi : ${SRCDIR}${READLINEDIR}${NEXT_M}doc${NEXT_M}mlreadline.dvi"
++  echotab "-\$(LN_S) ${SRCDIR}${READLINEDIR}${NEXT_}doc${NEXT_}mlreadline.dvi mlreadline.dvi"
+   echol
+ fi
+ 
+-echol "clisp.man : clisp.1"
+-echotab "\$(ROFF_MAN) clisp.1 > clisp.man"
++echol "clisp.man : maxima-lisp.1"
++echotab "\$(ROFF_MAN) maxima-lisp.1 > clisp.man"
+ echol
+ 
+ if [ $TERMINAL = readline ] ; then
+-  echol "clreadline.man : clreadline.3"
+-  echotab "\$(ROFF_MAN) clreadline.3 > clreadline.man"
++  echol "mlreadline.man : mlreadline.3"
++  echotab "\$(ROFF_MAN) mlreadline.3 > mlreadline.man"
+   echol
+ fi
+ 
+@@ -3288,40 +3288,40 @@
+     echotab "\$(CC) \$(CFLAGS) \$(CLFLAGS) -DLISPLIBDIR='\"\$(lisplibdir)\"' -DLOCALEDIR='\"\$(localedir)\"' clisp.c -o \$(DESTDIR)\$(bindir)/clisp"
+     echol
+     if [ $TERMINAL = readline ] ; then
+-      echol "install-man : clisp.1${manual_dvi} clisp.html clreadline.3 clreadline.html clreadline.dvi force"
++      echol "install-man : maxima-lisp.1${manual_dvi} maxima-lisp.html mlreadline.3 mlreadline.html mlreadline.dvi force"
+     else
+-      echol "install-man : clisp.1${manual_dvi} clisp.html force"
++      echol "install-man : maxima-lisp.1${manual_dvi} maxima-lisp.html force"
+     fi
+     echotab_mkdir_maybe "\$(DESTDIR)\$(prefix)"
+     echotab_mkdir_maybe "\$(DESTDIR)\$(exec_prefix)"
+     echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)"
+     echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)/man1"
+-    echotab "\$(INSTALL_DATA) clisp.1 \$(DESTDIR)\$(mandir)/man1/clisp.1"
++    echotab "\$(INSTALL_DATA) maxima-lisp.1 \$(DESTDIR)\$(mandir)/man1/maxima-lisp.1"
+     if [ $TERMINAL = readline ] ; then
+       echotab_mkdir_maybe "\$(DESTDIR)\$(mandir)/man3"
+-      echotab "\$(INSTALL_DATA) clreadline.3 \$(DESTDIR)\$(mandir)/man3/clreadline.3"
++      echotab "\$(INSTALL_DATA) mlreadline.3 \$(DESTDIR)\$(mandir)/man3/mlreadline.3"
+     fi
+     case "$fsstnd" in
+       gnu_ext)
+         echotab_mkdir_maybe "\$(DESTDIR)\$(exec_prefix)/share"
+         echotab_mkdir_maybe "\$(DESTDIR)\$(htmldir)"
+-        echotab "\$(INSTALL_DATA) clisp.html \$(DESTDIR)\$(htmldir)/clisp.html"
++        echotab "\$(INSTALL_DATA) maxima-lisp.html \$(DESTDIR)\$(htmldir)/maxima-lisp.html"
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(INSTALL_DATA) clreadline.html \$(DESTDIR)\$(htmldir)/clreadline.html"
++          echotab "\$(INSTALL_DATA) mlreadline.html \$(DESTDIR)\$(htmldir)/mlreadline.html"
+         fi
+         echotab_mkdir_maybe "\$(DESTDIR)\$(dvidir)"
+         if test -n "$GROFF"; then
+-          echotab "\$(INSTALL_DATA) clisp.dvi \$(DESTDIR)\$(dvidir)/clisp.dvi"
++          echotab "\$(INSTALL_DATA) maxima-lisp.dvi \$(DESTDIR)\$(dvidir)/maxima-lisp.dvi"
+         fi
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(INSTALL_DATA) clreadline.dvi \$(DESTDIR)\$(dvidir)/clreadline.dvi"
++          echotab "\$(INSTALL_DATA) mlreadline.dvi \$(DESTDIR)\$(dvidir)/mlreadline.dvi"
+         fi
+         ;;
+       netbsd)
+         echotab_mkdir_maybe "\$(DESTDIR)\$(lispdocdir)"
+-        echotab "\$(INSTALL_DATA) clisp.html \$(DESTDIR)\$(lispdocdir)/clisp.html"
++        echotab "\$(INSTALL_DATA) maxima-lisp.html \$(DESTDIR)\$(lispdocdir)/maxima-lisp.html"
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(INSTALL_DATA) clreadline.html \$(DESTDIR)\$(lispdocdir)/clreadline.html"
++          echotab "\$(INSTALL_DATA) mlreadline.html \$(DESTDIR)\$(lispdocdir)/mlreadline.html"
+         fi
+         ;;
+     esac
+@@ -3361,25 +3361,25 @@
+     fi
+     echol
+     echol "uninstall-man : force"
+-    echotab "\$(RM) \$(DESTDIR)\$(mandir)/man1/clisp.1"
++    echotab "\$(RM) \$(DESTDIR)\$(mandir)/man1/maxima-lisp.1"
+     if [ $TERMINAL = readline ] ; then
+-      echotab "\$(RM) \$(DESTDIR)\$(mandir)/man3/clreadline.3"
++      echotab "\$(RM) \$(DESTDIR)\$(mandir)/man3/mlreadline.3"
+     fi
+     case "$fsstnd" in
+       gnu_ext)
+-        echotab "\$(RM) \$(DESTDIR)\$(htmldir)/clisp.html"
++        echotab "\$(RM) \$(DESTDIR)\$(htmldir)/maxima-lisp.html"
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(RM) \$(DESTDIR)\$(htmldir)/clreadline.html"
++          echotab "\$(RM) \$(DESTDIR)\$(htmldir)/mlreadline.html"
+         fi
+-        echotab "\$(RM) \$(DESTDIR)\$(dvidir)/clisp.dvi"
++        echotab "\$(RM) \$(DESTDIR)\$(dvidir)/maxima-lisp.dvi"
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(RM) \$(DESTDIR)\$(dvidir)/clreadline.dvi"
++          echotab "\$(RM) \$(DESTDIR)\$(dvidir)/mlreadline.dvi"
+         fi
+         ;;
+       netbsd)
+-        echotab "\$(RM) \$(DESTDIR)\$(lispdocdir)/clisp.html"
++        echotab "\$(RM) \$(DESTDIR)\$(lispdocdir)/maxima-lisp.html"
+         if [ $TERMINAL = readline ] ; then
+-          echotab "\$(RM) \$(DESTDIR)\$(lispdocdir)/clreadline.html"
++          echotab "\$(RM) \$(DESTDIR)\$(lispdocdir)/mlreadline.html"
+         fi
+         ;;
+     esac
+@@ -3528,7 +3528,7 @@
+ echotab "mkdir \$(TOPDIR)/data"
+ echotab "${HLN} data/* \$(TOPDIR)/data"
+ echotab "mkdir \$(TOPDIR)/doc"
+-echotab "${HLN} clisp.1 clisp.man${manual_dvi} clisp.html \$(TXTFILES) \$(IMPNOTES)${manual_readline}${manualx_readline} \$(TOPDIR)/doc"
++echotab "${HLN} maxima-lisp.1 clisp.man${manual_dvi} maxima-lisp.html \$(TXTFILES) \$(IMPNOTES)${manual_readline}${manualx_readline} \$(TOPDIR)/doc"
+ echotab "mkdir \$(TOPDIR)/emacs"
+ for f in ${EMACS_FILES}; do
+   echotab "${HLN} ${SRCTOPDIR}/emacs/${f} \$(TOPDIR)/emacs/${f}"
+@@ -3600,9 +3600,9 @@
+ if [ $HOS = win32 ] ; then
+   echol "# Distribution, to be executed on a Unix host or using Cygwin."
+   echol "distrib : force"
+-  echotab "nroff -man clisp.1 > clisp.man"
++  echotab "nroff -man maxima-lisp.1 > clisp.man"
+   if [ $HOS = win32 ] ; then
+-    for f in clisp.html ; do
++    for f in maxima-lisp.html ; do
+       echotab "sed -e 's,HREF=\"CLHSROOT/,HREF=\"${hyperspec}/,' < $f > $f.new"
+       echotab "mv $f.new $f"
+     done
+@@ -3622,7 +3622,7 @@
+     echotab "cp -p data/${f} \$\$distdir/data/${f} ; \\"
+   done
+   echotab "mkdir \$\$distdir/doc ; \\"
+-  echotab "for f in clisp.1 clisp.man clisp.html \$(TXTFILES) \$(IMPNOTES) ; do \\"
++  echotab "for f in maxima-lisp.1 clisp.man maxima-lisp.html \$(TXTFILES) \$(IMPNOTES) ; do \\"
+   echotab "  if test -f \$\$f ; then cp -p \$\$f \$\$distdir/doc/\$\$f ; else cp -p \`echo \$\$f | tr '[A-Z]' '[a-z]'\` \$\$distdir/doc/\$\$f ; fi ; \\"
+   echotab "done ; \\"
+   echotab "mkdir \$\$distdir/emacs; \\"
+@@ -3662,7 +3662,7 @@
+ cat <<!!
+ 	-rmdir ${TESTDIR}
+ 	-rmdir ${TESTSDIR}
+-	-\$(RM) README README.de README.es clisp.1 clisp.man clisp.dvi clisp.html \$(IMPNOTES) clisp.c distmakefile \$(TXTFILES)${manual_readline}${manualx_readline}
++	-\$(RM) README README.de README.es maxima-lisp.1 clisp.man maxima-lisp.dvi maxima-lisp.html \$(IMPNOTES) clisp.c distmakefile \$(TXTFILES)${manual_readline}${manualx_readline}
+ 
+ # clean2 removes everything that becomes obsolete once lisp${LEXE}
+ # is recompiled without changing the bytecode format.
Index: trunk/dports/lang/maxima-lisp/files/patch-stream.d
===================================================================
--- trunk/dports/lang/maxima-lisp/files/patch-stream.d	(revision 4316)
+++ trunk/dports/lang/maxima-lisp/files/patch-stream.d	(revision 4316)
@@ -0,0 +1,11 @@
+--- src/stream.d.sav	Mon Feb 10 10:50:38 2003
++++ src/stream.d	Mon Feb 10 10:51:12 2003
+@@ -3181,7 +3181,7 @@
+       #endif
+       #ifdef UNIX_TERM_TERMIOS
+       if (!( TCDRAIN(handle) ==0)) {
+-        if (!((errno==ENOTTY)||(errno==EINVAL)))
++        if (!((errno==ENOTTY)||(errno==EINVAL)||(errno==EOPNOTSUPP)))
+           { OS_error(); } # no TTY: OK, report other Error
+       }
+       #endif