Index: trunk/dports/audio/arts/Portfile
===================================================================
--- trunk/dports/audio/arts/Portfile	(revision 4472)
+++ trunk/dports/audio/arts/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.21 2004/01/02 21:05:57 fkr Exp $
+# $Id: Portfile,v 1.22 2004/01/06 07:17:57 jkh Exp $
 
 PortSystem 1.0
@@ -54,5 +54,5 @@
 
 variant darwin {
-		depends_lib-append	lib:libdl.1:dlcompat lib:libpoll:poll-emulator
+		depends_lib-append	lib:libdl:dlcompat lib:libpoll:poll-emulator
 		patchfiles \
 			stable/patch-arts-artsc-artsc-config.in.diff \
Index: trunk/dports/audio/libao/Portfile
===================================================================
--- trunk/dports/audio/libao/Portfile	(revision 4472)
+++ trunk/dports/audio/libao/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2003/04/15 21:24:11 landonf Exp $
+# $Id: Portfile,v 1.10 2004/01/06 07:17:57 jkh Exp $
 
 PortSystem 1.0
@@ -24,5 +24,5 @@
 
 variant darwin {
-	depends_lib-append	lib:libdl.1:dlcompat
+	depends_lib-append	lib:libdl:dlcompat
 	patchfiles	apple-patches
 }
Index: trunk/dports/databases/MyODBC/Portfile
===================================================================
--- trunk/dports/databases/MyODBC/Portfile	(revision 4472)
+++ trunk/dports/databases/MyODBC/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2004/01/02 21:05:57 fkr Exp $
+# $Id: Portfile,v 1.3 2004/01/06 07:17:57 jkh Exp $
 
 PortSystem 1.0
@@ -21,5 +21,5 @@
 checksums	md5 5a59b4f01592fc9ec96e985bc7d6aada
 
-depends_lib	lib:libdl.1:dlcompat \
+depends_lib	lib:libdl:dlcompat \
 		lib:libiconv.2:libiconv \
 		lib:readline:readline \
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 4472)
+++ trunk/dports/databases/mysql/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.37 2004/01/05 19:39:50 mij Exp $
+# $Id: Portfile,v 1.38 2004/01/06 07:17:57 jkh Exp $
 
 PortSystem 1.0
@@ -30,5 +30,5 @@
 			--mandir=${prefix}/share/man
 
-platform darwin 6 { depends_lib-append lib:libdl.1:dlcompat }
+platform darwin 6 { depends_lib-append lib:libdl:dlcompat }
 
 variant sunos	{ configure.env LDFLAGS="-L${prefix}/lib" \
Index: trunk/dports/databases/mysql4/Portfile
===================================================================
--- trunk/dports/databases/mysql4/Portfile	(revision 4472)
+++ trunk/dports/databases/mysql4/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2003/11/17 21:19:54 jkh Exp $
+# $Id: Portfile,v 1.5 2004/01/06 07:17:57 jkh Exp $
 
 PortSystem 1.0
@@ -34,5 +34,5 @@
 
 platform darwin 6 {
-	depends_lib-append		lib:libdl.1:dlcompat
+	depends_lib-append		lib:libdl:dlcompat
 	
 	configure.env	LDFLAGS="-L${prefix}/lib -lncurses" \
Index: trunk/dports/databases/openldap/Portfile
===================================================================
--- trunk/dports/databases/openldap/Portfile	(revision 4472)
+++ trunk/dports/databases/openldap/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2004/01/03 00:34:00 jkh Exp $
+# $Id: Portfile,v 1.8 2004/01/06 07:17:58 jkh Exp $
 
 PortSystem 1.0
@@ -29,5 +29,5 @@
 
 platform darwin 6 {
-        depends_lib-append      lib:libdl.1:dlcompat
+        depends_lib-append      lib:libdl:dlcompat
 }
 
Index: trunk/dports/databases/unixODBC/Portfile
===================================================================
--- trunk/dports/databases/unixODBC/Portfile	(revision 4472)
+++ trunk/dports/databases/unixODBC/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2004/01/02 21:05:58 fkr Exp $
+# $Id: Portfile,v 1.4 2004/01/06 07:17:58 jkh Exp $
 
 PortSystem 1.0
@@ -32,5 +32,5 @@
 				  lib:readline:readline
 
-platform darwin 6	{ depends_lib-append	lib:libdl.1:dlcompat }
+platform darwin 6	{ depends_lib-append	lib:libdl:dlcompat }
 
 patchfiles		patch-configure \
Index: trunk/dports/devel/gettext/Portfile
===================================================================
--- trunk/dports/devel/gettext/Portfile	(revision 4472)
+++ trunk/dports/devel/gettext/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.24 2003/12/22 08:28:59 jkh Exp $
+# $Id: Portfile,v 1.25 2004/01/06 07:17:58 jkh Exp $
 
 PortSystem 1.0
@@ -41,5 +41,5 @@
 		    ${worksrcpath}/man/Makefile.in }
 
-platform darwin 6	{ depends_lib-append	lib:libdl.1:dlcompat }
+platform darwin 6	{ depends_lib-append	lib:libdl:dlcompat }
 variant darwin		{ configure.env-append	CPPFLAGS="-no-cpp-precomp" }
 
Index: trunk/dports/devel/glib/Portfile
===================================================================
--- trunk/dports/devel/glib/Portfile	(revision 4472)
+++ trunk/dports/devel/glib/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.24 2003/11/17 21:19:55 jkh Exp $
+# $Id: Portfile,v 1.25 2004/01/06 07:17:58 jkh Exp $
 
 PortSystem 1.0
@@ -44,3 +44,3 @@
 		    ${destroot}${prefix}/lib/libgthread.1.dylib" }
 
-platform darwin 6 {	depends_lib-append	lib:libdl.1:dlcompat }
+platform darwin 6 {	depends_lib-append	lib:libdl:dlcompat }
Index: trunk/dports/devel/glib2/Portfile
===================================================================
--- trunk/dports/devel/glib2/Portfile	(revision 4472)
+++ trunk/dports/devel/glib2/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.18 2004/01/02 10:41:31 jkh Exp $
+# $Id: Portfile,v 1.19 2004/01/06 07:17:58 jkh Exp $
 
 PortSystem 1.0
@@ -52,3 +52,3 @@
 		    ${destroot}${prefix}/lib/libgthread.2.dylib" }
 
-platform darwin 6 {	depends_lib-append     lib:libdl.1:dlcompat }
+platform darwin 6 {	depends_lib-append     lib:libdl:dlcompat }
Index: trunk/dports/devel/libmcrypt/Portfile
===================================================================
--- trunk/dports/devel/libmcrypt/Portfile	(revision 4472)
+++ trunk/dports/devel/libmcrypt/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2003/10/23 13:31:43 fkr Exp $
+# $Id: Portfile,v 1.4 2004/01/06 07:17:59 jkh Exp $
 
 PortSystem 1.0
@@ -22,4 +22,4 @@
 
 variant darwin {
-	depends_lib-append	lib:libdl.1:dlcompat
+	depends_lib-append	lib:libdl:dlcompat
 }
Index: trunk/dports/devel/libtool/Portfile
===================================================================
--- trunk/dports/devel/libtool/Portfile	(revision 4472)
+++ trunk/dports/devel/libtool/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.1 2003/11/19 15:18:51 fkr Exp $
+# $Id: Portfile,v 1.2 2004/01/06 07:17:59 jkh Exp $
 
 PortSystem 1.0
@@ -19,3 +19,3 @@
 		--mandir=${prefix}/share/man
 
-platform darwin 6 {	depends_lib-append      lib:libdl.1:dlcompat }
+platform darwin 6 {	depends_lib-append      lib:libdl:dlcompat }
Index: trunk/dports/games/dopewars/Portfile
===================================================================
--- trunk/dports/games/dopewars/Portfile	(revision 4472)
+++ trunk/dports/games/dopewars/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2003/09/21 07:55:35 mij Exp $
+# $Id: Portfile,v 1.10 2004/01/06 07:17:59 jkh Exp $
 
 PortSystem 1.0
@@ -20,5 +20,5 @@
 
 
-depends_lib	lib:libdl.1:dlcompat lib:libintl.1:gettext lib:libesd.0:esound
+depends_lib	lib:libdl:dlcompat lib:libintl.1:gettext lib:libesd.0:esound
 
 configure.args	--enable-nls --enable-networking --without-sdl \
Index: trunk/dports/graphics/gd2/Portfile
===================================================================
--- trunk/dports/graphics/gd2/Portfile	(revision 4472)
+++ trunk/dports/graphics/gd2/Portfile	(revision 4474)
@@ -24,5 +24,5 @@
                   lib:libX11.6:XFree86  
 
-platform darwin 6 { depends_lib     lib:libdl.1:dlcompat  }
+platform darwin 6 { depends_lib     lib:libdl:dlcompat  }
 
 patchfiles      patch-configure
Index: trunk/dports/graphics/gdk-pixbuf/Portfile
===================================================================
--- trunk/dports/graphics/gdk-pixbuf/Portfile	(revision 4472)
+++ trunk/dports/graphics/gdk-pixbuf/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2003/06/23 01:04:35 jkh Exp $
+# $Id: Portfile,v 1.7 2004/01/06 07:18:00 jkh Exp $
 
 PortSystem 1.0
@@ -20,5 +20,5 @@
 
 depends_build	lib:libtiff.3:tiff lib:libjpeg.62:jpeg lib:libpng.3:libpng \
-		lib:libglib.1:glib lib:libgtk.2:gtk lib:libdl.1:dlcompat
+		lib:libglib.1:glib lib:libgtk.2:gtk lib:libdl:dlcompat
 
 patchfiles	patch-Makefile.in patch-configure \
Index: trunk/dports/graphics/libart_lgpl/Portfile
===================================================================
--- trunk/dports/graphics/libart_lgpl/Portfile	(revision 4472)
+++ trunk/dports/graphics/libart_lgpl/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.2 2003/03/03 06:53:21 mij Exp $
+# $Id: Portfile,v 1.3 2004/01/06 07:18:00 jkh Exp $
 
 PortSystem 1.0
@@ -27,4 +27,4 @@
 use_bzip2	yes
 
-depends_lib	lib:libdl.1:dlcompat lib:libintl.1:gettext
+depends_lib	lib:libdl:dlcompat lib:libintl.1:gettext
 depends_build	bin:pkg-config:pkgconfig
Index: trunk/dports/irc/irssi/Portfile
===================================================================
--- trunk/dports/irc/irssi/Portfile	(revision 4472)
+++ trunk/dports/irc/irssi/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.14 2003/12/15 14:09:00 fkr Exp $
+# $Id: Portfile,v 1.15 2004/01/06 07:18:00 jkh Exp $
 
 PortSystem 1.0
@@ -27,5 +27,5 @@
 
 platform darwin 6 {
-	depends_lib-append lib:libdl.1:dlcompat
+	depends_lib-append lib:libdl:dlcompat
 }
 
Index: trunk/dports/lang/ghc/Portfile
===================================================================
--- trunk/dports/lang/ghc/Portfile	(revision 4472)
+++ trunk/dports/lang/ghc/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2003/12/30 15:55:55 gwright Exp $
+# $Id: Portfile,v 1.6 2004/01/06 07:18:01 jkh Exp $
 
 PortSystem 1.0
@@ -37,5 +37,5 @@
 
 depends_lib	lib:libreadline.4:readline lib:libgmp.3:gmp \
-		lib:libdl.1:dlcompat
+		lib:libdl:dlcompat
 
 #bugs		GHC does not support DESTDIR. Instead, we install	\
Index: trunk/dports/lang/guile/Portfile
===================================================================
--- trunk/dports/lang/guile/Portfile	(revision 4472)
+++ trunk/dports/lang/guile/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2003/08/24 10:40:15 jkh Exp $
+# $Id: Portfile,v 1.7 2004/01/06 07:18:01 jkh Exp $
 
 PortSystem 1.0
@@ -40,5 +40,5 @@
 checksums	md5 a4aceb5f185878c1de4e8aa7c38b6d1d
 
-depends_lib	lib:libreadline.4.3:readline lib:libdl.1:dlcompat
+depends_lib	lib:libreadline.4.3:readline lib:libdl:dlcompat
 
 patchfiles	patch-scmsigs.c patch-configure patch-guile-readline-configure \
Index: trunk/dports/mail/courier-imap/Portfile
===================================================================
--- trunk/dports/mail/courier-imap/Portfile	(revision 4472)
+++ trunk/dports/mail/courier-imap/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2003/11/26 11:22:40 fkr Exp $
+# $Id: Portfile,v 1.4 2004/01/06 07:18:01 jkh Exp $
 
 PortSystem 1.0
@@ -31,5 +31,5 @@
 
 platform darwin 6 {
-	depends_lib-append      lib:libdl.1:dlcompat
+	depends_lib-append      lib:libdl:dlcompat
 	configure.args-append	--with-waitfunc=wait3 --with-authpam
 	configure.env	LDFLAGS="-L${prefix}/lib -L${prefix}/lib/mysql -L${prefix}/lib/pgsql" \
Index: trunk/dports/net/bind9/Portfile
===================================================================
--- trunk/dports/net/bind9/Portfile	(revision 4472)
+++ trunk/dports/net/bind9/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.4 2003/10/04 19:28:45 fkr Exp $
+# $Id: Portfile,v 1.5 2004/01/06 07:18:01 jkh Exp $
 
 PortSystem 1.0
@@ -37,5 +37,5 @@
 
 variant darwin {
-        depends_lib-append      lib:libdl.1:dlcompat
+        depends_lib-append      lib:libdl:dlcompat
 }
 
Index: trunk/dports/net/gaim/Portfile
===================================================================
--- trunk/dports/net/gaim/Portfile	(revision 4472)
+++ trunk/dports/net/gaim/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.18 2003/11/27 23:56:57 mij Exp $
+# $Id: Portfile,v 1.19 2004/01/06 07:18:02 jkh Exp $
 
 PortSystem 1.0
@@ -35,5 +35,5 @@
 		--mandir=${prefix}/share/man
 
-platform darwin 6 { depends_lib-append lib:libdl.1:dlcompat }
+platform darwin 6 { depends_lib-append lib:libdl:dlcompat }
 
 default_variants +msn
Index: trunk/dports/science/rasmol/Portfile
===================================================================
--- trunk/dports/science/rasmol/Portfile	(revision 4472)
+++ trunk/dports/science/rasmol/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2004/01/02 21:05:58 fkr Exp $
+# $Id: Portfile,v 1.6 2004/01/06 07:18:02 jkh Exp $
 
 PortSystem 1.0
@@ -28,5 +28,5 @@
  }
  
-variant             darwin { depends_lib-append   lib:libdl.1:dlcompat }
+variant             darwin { depends_lib-append   lib:libdl:dlcompat }
 
 
Index: trunk/dports/textproc/glimpse/Portfile
===================================================================
--- trunk/dports/textproc/glimpse/Portfile	(revision 4472)
+++ trunk/dports/textproc/glimpse/Portfile	(revision 4474)
@@ -15,3 +15,3 @@
 			mandir=${destroot}${prefix}/share/man/man1
 
-platform darwin 6 { depends_lib     lib:libdl.1:dlcompat  }
+platform darwin 6 { depends_lib     lib:libdl:dlcompat  }
Index: trunk/dports/textproc/sablotron/Portfile
===================================================================
--- trunk/dports/textproc/sablotron/Portfile	(revision 4472)
+++ trunk/dports/textproc/sablotron/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.3 2003/10/02 11:22:04 wbb4 Exp $
+# $Id: Portfile,v 1.4 2004/01/06 07:18:02 jkh Exp $
 
 PortSystem          1.0
@@ -28,4 +28,4 @@
 
 variant darwin {
-	depends_lib-append	lib:libdl.1:dlcompat
+	depends_lib-append	lib:libdl:dlcompat
 }
Index: trunk/dports/www/php4/Portfile
===================================================================
--- trunk/dports/www/php4/Portfile	(revision 4472)
+++ trunk/dports/www/php4/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2003/12/06 00:19:02 olegb Exp $
+# $Id: Portfile,v 1.9 2004/01/06 07:18:03 jkh Exp $
 
 PortSystem 1.0
@@ -45,5 +45,5 @@
 		
 platform darwin 6 {
-	depends_lib-append	lib:libdl.1:dlcompat
+	depends_lib-append	lib:libdl:dlcompat
 	configure.env	LDFLAGS=-L${prefix}/lib \
 			CPPFLAGS="-I${prefix}/include -no-cpp-precomp -DBIND_8_COMPAT" \
Index: trunk/dports/x11/kdeartwork3/Portfile
===================================================================
--- trunk/dports/x11/kdeartwork3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdeartwork3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.12 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.13 2004/01/06 07:18:03 jkh Exp $
 
 PortSystem 1.0
@@ -26,5 +26,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat
+		depends_lib-append lib:libdl:dlcompat
 		patchfiles \
 			stable/patch-kdeartwork-kwin-styles-cde-Makefile.am.diff \
Index: trunk/dports/x11/kdebase3/Portfile
===================================================================
--- trunk/dports/x11/kdebase3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdebase3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.18 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.19 2004/01/06 07:18:03 jkh Exp $
 
 PortSystem 1.0
@@ -43,5 +43,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat lib:libpoll.1:poll-emulator
+		depends_lib-append lib:libdl:dlcompat lib:libpoll.1:poll-emulator
 		patchfiles \
 			stable/patch-kdebase-kate-app-kwrite_main.cpp.diff \
Index: trunk/dports/x11/kdeedu3/Portfile
===================================================================
--- trunk/dports/x11/kdeedu3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdeedu3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.12 2004/01/06 07:18:04 jkh Exp $
 
 PortSystem 1.0
@@ -26,5 +26,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat
+		depends_lib-append lib:libdl:dlcompat
 		patchfiles \
 			stable/patch-kdeedu-applnk-Makefile.am.diff \
Index: trunk/dports/x11/kdegames3/Portfile
===================================================================
--- trunk/dports/x11/kdegames3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdegames3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.12 2004/01/06 07:18:04 jkh Exp $
 
 PortSystem 1.0
@@ -27,5 +27,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat lib:libpoll:poll-emulator
+		depends_lib-append lib:libdl:dlcompat lib:libpoll:poll-emulator
 		patchfiles \
 			stable/patch-kdegames-kbackgammon-engines-Makefile.am.diff \
Index: trunk/dports/x11/kdegraphics3/Portfile
===================================================================
--- trunk/dports/x11/kdegraphics3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdegraphics3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.12 2004/01/06 07:18:04 jkh Exp $
 
 PortSystem 1.0
@@ -27,5 +27,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat
+		depends_lib-append lib:libdl:dlcompat
 		patchfiles \
 			stable/patch-kdegraphics-kcoloredit-Makefile.am.diff \
Index: trunk/dports/x11/kdelibs3/Portfile
===================================================================
--- trunk/dports/x11/kdelibs3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdelibs3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.21 2004/01/02 21:05:59 fkr Exp $
+# $Id: Portfile,v 1.22 2004/01/06 07:18:04 jkh Exp $
 
 PortSystem 1.0
@@ -45,5 +45,5 @@
 
 variant darwin {
-		depends_lib-append lib:libdl.1:dlcompat lib:libpoll.1:poll-emulator \
+		depends_lib-append lib:libdl:dlcompat lib:libpoll.1:poll-emulator \
 			path:${prefix}/include/cups/cups.h:cups-headers
 		patchfiles \
Index: trunk/dports/x11/kdenetwork3/Portfile
===================================================================
--- trunk/dports/x11/kdenetwork3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdenetwork3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.10 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.11 2004/01/06 07:18:04 jkh Exp $
 
 PortSystem 1.0
@@ -27,5 +27,5 @@
 
 variant darwin {
-		depends_lib-append	lib:libpoll:poll-emulator lib:libdl.1:dlcompat
+		depends_lib-append	lib:libpoll:poll-emulator lib:libdl:dlcompat
 		patchfiles	patch-${name}.darwin
 }
Index: trunk/dports/x11/kdepim3/Portfile
===================================================================
--- trunk/dports/x11/kdepim3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdepim3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.10 2004/01/06 07:18:05 jkh Exp $
 
 PortSystem 1.0
@@ -19,5 +19,5 @@
 		kdepim-lexfiles-${version}.tar.bz2:darwin
 patchfiles	patch-${name}.darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl:dlcompat \
 		lib:libjpeg:jpeg lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 \
 		lib:libpisock:pilot-link lib:libpng.3:libpng lib:libpoll:poll-emulator \
Index: trunk/dports/x11/kdesdk3/Portfile
===================================================================
--- trunk/dports/x11/kdesdk3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdesdk3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.10 2004/01/06 07:18:05 jkh Exp $
 
 PortSystem 1.0
@@ -16,5 +16,5 @@
 distfiles	${distname}.tar.bz2 kde-admindir-20030601.tar.bz2:admin detect-autoconf.tar.bz2:darwin
 patchfiles	patch-${name}.darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl:dlcompat \
 		lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 lib:libpng.3:libpng \
 		lib:libqt-mt.3.1:qt3 lib:libX11.6:XFree86
Index: trunk/dports/x11/kdetoys3/Portfile
===================================================================
--- trunk/dports/x11/kdetoys3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdetoys3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2003/11/17 21:20:09 jkh Exp $
+# $Id: Portfile,v 1.9 2004/01/06 07:18:05 jkh Exp $
 
 PortSystem 1.0
@@ -15,5 +15,5 @@
 distname	kdetoys-${version}
 distfiles	${distname}.tar.bz2 kde-admindir-20030601.tar.bz2:admin detect-autoconf.tar.bz2:darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl:dlcompat \
 		lib:libjpeg:jpeg lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 \
 		lib:libpng.3:libpng lib:libqt-mt.3.1:qt3 lib:libX11.6:XFree86
Index: trunk/dports/x11/kdeutils3/Portfile
===================================================================
--- trunk/dports/x11/kdeutils3/Portfile	(revision 4472)
+++ trunk/dports/x11/kdeutils3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.9 2004/01/06 07:18:06 jkh Exp $
 
 PortSystem 1.0
@@ -16,5 +16,5 @@
 distfiles	${distname}.tar.bz2 kde-admindir-20030601.tar.bz2:admin detect-autoconf.tar.bz2:darwin
 patchfiles	patch-${name}.darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl:dlcompat \
 		lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 lib:libpng.3:libpng \
 		lib:libqt-mt.3.1:qt3 lib:libX11.6:XFree86
Index: trunk/dports/x11/koffice/Portfile
===================================================================
--- trunk/dports/x11/koffice/Portfile	(revision 4472)
+++ trunk/dports/x11/koffice/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.6 2004/01/06 07:18:06 jkh Exp $
 
 PortSystem 1.0
@@ -16,5 +16,5 @@
 distfiles	${distname}.tar.bz2 koffice-admindir-20030601.tar.bz2:admin detect-autoconf.tar.bz2:darwin
 patchfiles	patch-${name}.darwin
-depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl.1:dlcompat \
+depends_lib	lib:libDCOP:kdelibs3 lib:libart_lgpl_2:libart_lgpl lib:libdl:dlcompat \
 		lib:libjpeg:jpeg lib:libkdecore.4:kdelibs3 bin:startkde:kdebase3 \
 		lib:libpng.3:libpng lib:libqt-mt.3.1:qt3 lib:libX11.6:XFree86 \
Index: trunk/dports/x11/qt3/Portfile
===================================================================
--- trunk/dports/x11/qt3/Portfile	(revision 4472)
+++ trunk/dports/x11/qt3/Portfile	(revision 4474)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.25 2004/01/02 21:06:00 fkr Exp $
+# $Id: Portfile,v 1.26 2004/01/06 07:18:06 jkh Exp $
 
 PortSystem 1.0
@@ -21,5 +21,5 @@
 checksums	qt-x11-free-3.1.2.tar.bz2 md5 156591717687799c69cf3f8b64a898f2
 
-platform darwin 6	{	depends_lib-append	lib:libdl.1:dlcompat }
+platform darwin 6	{	depends_lib-append	lib:libdl:dlcompat }
 
 variant mysql {