Index: trunk/dports/net/dnetc/Portfile
===================================================================
--- trunk/dports/net/dnetc/Portfile	(revision 4501)
+++ trunk/dports/net/dnetc/Portfile	(revision 4502)
@@ -1,40 +1,44 @@
-# $Id: Portfile,v 1.1 2003/08/15 15:30:33 fkr Exp $
+# $Id: Portfile,v 1.2 2004/01/07 00:12:50 yeled Exp $
 
-PortSystem 1.0
-name		dnetc
-version		2.9005.484
-categories	net 
-maintainers	charlie@rubberduck.com
-description	distributed.net client
-long_description	distributed.net believes in the capability and potential \
-			of distributed computing. Their mission consists of three \
-			interdependent goals: development, deployment, and \
-			advocacy, to be pursued in the advancement of distributed \
-			computing. \
-			They advocate distributed computing, by encouraging global \
-			participation and contributions of processing power, \
-			bandwidth, and expertise\; by providing a forum for \
-			discussion\; and by raising awareness on the Internet and \
-			in the mainstream. \
-			*** Please Note! You _will_ need to run this with -config \
-			the first time you run it, or exec the rc.d/dnetc.sh. ***
+PortSystem      1.0
+name            dnetc
+version         2.9005.484
+categories      net 
+maintainers     yeled@opendarwin.org
+description     distributed.net client
+long_description  distributed.net believes in the capability and potential \
+                of distributed computing. Their mission consists of three \
+                interdependent goals: development, deployment, and \
+                advocacy, to be pursued in the advancement of distributed \
+                computing. \
+                They advocate distributed computing, by encouraging global \
+                participation and contributions of processing power, \
+                bandwidth, and expertise\; by providing a forum for \
+                discussion\; and by raising awareness on the Internet and \
+                in the mainstream.
 
-homepage	http://distributed.net/
-platforms	darwin
-distfiles	dnetc-macosx-ppc.tar.gz
-checksums	md5 8da11892b7640fb14c9d2b5ab7b3d8ef
-master_sites	ftp://ftp.distributed.net/pub/dcti/current-client/ \
-		http://http.distributed.net/pub/dcti/current-client/
-worksrcdir	dnetc484-macosx-ppc
-depends_run	path:/Library/StartupItems/DarwinPortsStartup:DarwinPortsStartup
+homepage        http://distributed.net/
+platforms       darwin
+distfiles       dnetc-macosx-ppc.tar.gz
+checksums       md5 8da11892b7640fb14c9d2b5ab7b3d8ef
+master_sites    ftp://ftp.distributed.net/pub/dcti/current-client/ \
+                http://http.distributed.net/pub/dcti/current-client/
+worksrcdir      dnetc484-macosx-ppc
+depends_run     path:/Library/StartupItems/DarwinPortsStartup:DarwinPortsStartup
 
-configure	{}
-build		{}
-destroot {	file mkdir ${destroot}${prefix}/bin
-		system "install -m 755 ${worksrcpath}/dnetc ${destroot}${prefix}/bin"
-		system "install -m 644 ${worksrcpath}/dnetc.1 ${destroot}${prefix}/man/man1"
-		system "install -o root -m 755 -d ${destroot}${prefix}/etc/rc.d"
-		system "install -o root -m 755 -c \
-			${portpath}/files/dnetc.sh ${destroot}${prefix}/etc/rc.d"
-		reinplace "s|__PREFIX|${prefix}|g" \
-			${destroot}${prefix}/etc/rc.d/dnetc.sh }
+configure {}
+build     {}
+destroot  { 
+  file mkdir ${destroot}${prefix}/bin
+  system "install -m 755 ${worksrcpath}/dnetc ${destroot}${prefix}/bin"
+  system "install -m 644 ${worksrcpath}/dnetc.1 ${destroot}${prefix}/man/man1"
+  system "install -o root -m 755 -d ${destroot}${prefix}/etc/rc.d"
+  system "install -o root -m 755 -c \
+    ${portpath}/files/dnetc.sh ${destroot}${prefix}/etc/rc.d"
+  reinplace "s|__PREFIX|${prefix}|g" \
+    ${destroot}${prefix}/etc/rc.d/dnetc.sh 
+}
+
+ui_msg "===============================================================================\n"
+ui_msg "Please Note! You _will_ need to run this with -config the first time you run it, or exec the rc.d/dnetc.sh.\n"
+ui_msg "===============================================================================\n"