Index: trunk/base/aclocal.m4
===================================================================
--- trunk/base/aclocal.m4	(revision 4509)
+++ trunk/base/aclocal.m4	(revision 4510)
@@ -40,5 +40,5 @@
 
 
-# OD_PATH_PORTCONFIGDIR(DEFAULT_PORTCONFIGDIR, PREFIX)
+# OD_PATH_PORTCONFIGDIR(PREFIX)
 #---------------------------------------
 AC_DEFUN([OD_PATH_PORTCONFIGDIR],[
@@ -49,10 +49,16 @@
         AC_MSG_CHECKING([for ports config directory])
 
-	if test "$2" != "NONE" ; then
+	if test "$1" != "NONE" ; then
 		dnl user gave --prefix
 		portconfigdir='${sysconfdir}/ports'
 	else
-		dnl just use the default /etc/ports
+	   case $host_os in
+	   darwin*)
+		portconfigdir='/private/etc/ports'
+		;;
+	   *)
 		portconfigdir='/etc/ports'
+		;;
+	   esac
 	fi
 
Index: trunk/base/configure
===================================================================
--- trunk/base/configure	(revision 4509)
+++ trunk/base/configure	(revision 4510)
@@ -3408,5 +3408,12 @@
 				portconfigdir='${sysconfdir}/ports'
 	else
-				portconfigdir='/etc/ports'
+	   case $host_os in
+	   darwin*)
+		portconfigdir='/private/etc/ports'
+		;;
+	   *)
+		portconfigdir='/etc/ports'
+		;;
+	   esac
 	fi
 
Index: trunk/base/configure.ac
===================================================================
--- trunk/base/configure.ac	(revision 4509)
+++ trunk/base/configure.ac	(revision 4510)
@@ -24,5 +24,5 @@
 AC_PREFIX_DEFAULT(/opt/local)
 OD_PATH_DPORTSDIR([$DPORTS_DIR_DEFAULT])
-OD_PATH_PORTCONFIGDIR([/etc/ports], [$prefix])
+OD_PATH_PORTCONFIGDIR([$prefix])
 
 # Check for install ownership
Index: trunk/base/src/config.h.in
===================================================================
--- trunk/base/src/config.h.in	(revision 4509)
+++ trunk/base/src/config.h.in	(revision 4510)
@@ -1,11 +1,11 @@
-/* src/config.h.in.  Generated automatically from configure.ac by autoheader.  */
+/* src/config.h.in.  Generated from configure.ac by autoheader.  */
 
-/* Define if the `closedir' function returns void instead of `int'. */
+/* Define to 1 if the `closedir' function returns void instead of `int'. */
 #undef CLOSEDIR_VOID
 
-/* Define if you have the `bzero' function. */
+/* Define to 1 if you have the `bzero' function. */
 #undef HAVE_BZERO
 
-/* Define if you have the <crt_externs.h> header file. */
+/* Define to 1 if you have the <crt_externs.h> header file. */
 #undef HAVE_CRT_EXTERNS_H
 
@@ -14,23 +14,24 @@
 #undef HAVE_DECL_STRERROR_R
 
-/* Define if you have the <dirent.h> header file, and it defines `DIR'. */
+/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
+   */
 #undef HAVE_DIRENT_H
 
-/* Define if you have the `dup2' function. */
+/* Define to 1 if you have the `dup2' function. */
 #undef HAVE_DUP2
 
-/* Define if you have the <fcntl.h> header file. */
+/* Define to 1 if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H
 
-/* Define if you have the `fgetln' function. */
+/* Define to 1 if you have the `fgetln' function. */
 #undef HAVE_FGETLN
 
-/* Define if you have the `flock' function. */
+/* Define to 1 if you have the `flock' function. */
 #undef HAVE_FLOCK
 
-/* Define if you have the `fork' function. */
+/* Define to 1 if you have the `fork' function. */
 #undef HAVE_FORK
 
-/* Define if you have the <inttypes.h> header file. */
+/* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
@@ -41,102 +42,119 @@
 #undef HAVE_LIBMD
 
-/* Define if you have the <limits.h> header file. */
+/* Define to 1 if you have the <limits.h> header file. */
 #undef HAVE_LIMITS_H
 
-/* Define if you have the `lockf' function. */
+/* Define to 1 if you have the `lockf' function. */
 #undef HAVE_LOCKF
 
-/* Define if you have the <md5.h> header file. */
+/* Define to 1 if you have the <md5.h> header file. */
 #undef HAVE_MD5_H
 
-/* Define if you have the <memory.h> header file. */
+/* Define to 1 if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H
 
-/* Define if you have the `memset' function. */
+/* Define to 1 if you have the `memset' function. */
 #undef HAVE_MEMSET
 
-/* Define if you have the <ndir.h> header file, and it defines `DIR'. */
+/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */
 #undef HAVE_NDIR_H
 
-/* Define if you have the <openssl/md5.h> header file. */
+/* Define to 1 if you have the <openssl/md5.h> header file. */
 #undef HAVE_OPENSSL_MD5_H
 
-/* Define if you have the <paths.h> header file. */
+/* Define to 1 if you have the <paths.h> header file. */
 #undef HAVE_PATHS_H
 
-/* Define if you have the `regcomp' function. */
+/* Define to 1 if you have the `regcomp' function. */
 #undef HAVE_REGCOMP
 
-/* Define if you have the <stdint.h> header file. */
+/* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
-/* Define if you have the <stdlib.h> header file. */
+/* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
-/* Define if you have the `strdup' function. */
+/* Define to 1 if you have the `strdup' function. */
 #undef HAVE_STRDUP
 
-/* Define if you have the `strerror' function. */
+/* Define to 1 if you have the `strerror' function. */
 #undef HAVE_STRERROR
 
-/* Define if you have the `strerror_r' function. */
+/* Define to 1 if you have the `strerror_r' function. */
 #undef HAVE_STRERROR_R
 
-/* Define if you have the <strings.h> header file. */
+/* Define to 1 if you have the <strings.h> header file. */
 #undef HAVE_STRINGS_H
 
-/* Define if you have the <string.h> header file. */
+/* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
-/* Define if you have the `strtol' function. */
+/* Define to 1 if you have the `strtol' function. */
 #undef HAVE_STRTOL
 
-/* Define if you have the <sys/dir.h> header file, and it defines `DIR'. */
+/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'.
+   */
 #undef HAVE_SYS_DIR_H
 
-/* Define if you have the <sys/fcntl.h> header file. */
+/* Define to 1 if you have the <sys/fcntl.h> header file. */
 #undef HAVE_SYS_FCNTL_H
 
-/* Define if you have the <sys/file.h> header file. */
+/* Define to 1 if you have the <sys/file.h> header file. */
 #undef HAVE_SYS_FILE_H
 
-/* Define if you have the <sys/ndir.h> header file, and it defines `DIR'. */
+/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
+   */
 #undef HAVE_SYS_NDIR_H
 
-/* Define if you have the <sys/stat.h> header file. */
+/* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
-/* Define if you have the <sys/types.h> header file. */
+/* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* Define if you have <sys/wait.h> that is POSIX.1 compatible. */
+/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
 #undef HAVE_SYS_WAIT_H
 
-/* Define if you have the <unistd.h> header file. */
+/* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
-/* Define if you have the `vfork' function. */
+/* Define to 1 if you have the `vfork' function. */
 #undef HAVE_VFORK
 
-/* Define if you have the <vfork.h> header file. */
+/* Define to 1 if you have the <vfork.h> header file. */
 #undef HAVE_VFORK_H
 
-/* Define if `fork' works. */
+/* Define to 1 if `fork' works. */
 #undef HAVE_WORKING_FORK
 
-/* Define to 1 if `strerror_r' returns a string. */
-#undef HAVE_WORKING_STRERROR_R
+/* Define to 1 if `vfork' works. */
+#undef HAVE_WORKING_VFORK
 
-/* Define if `vfork' works. */
-#undef HAVE_WORKING_VFORK
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
 
 /* Define to 1 if static build is requested */
 #undef STATIC_BUILD
 
-/* Define if the `S_IS*' macros in <sys/stat.h> do not work properly. */
+/* Define to 1 if the `S_IS*' macros in <sys/stat.h> do not work properly. */
 #undef STAT_MACROS_BROKEN
 
-/* Define if you have the ANSI C header files. */
+/* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
+
+/* Define to 1 if strerror_r returns char *. */
+#undef STRERROR_R_CHAR_P
 
 /* Define to `int' if <sys/types.h> does not define. */